<?php

namespace App\Http\Controllers;

use App\GrupoDeCompra;
use App\Producto;

class ComprasController
{
    public function indexPedidos() {
        return view('compras_pedidos');
    }

    public function descargarPedidos() {
        Producto::planillaTotales();
        $file = resource_path('csv/exports/total-pedidos.csv');
        return response()->download($file);
    }

    public function descargarNotas() {
        Producto::planillaNotas();
        $file = resource_path('csv/exports/notas-por-barrio.csv');
        return response()->download($file);
    }

    public function show()
    {
        return view('auth/compras_login');
    }
}
